<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xlink="http://www.w3.org/1999/xlink">

  <xsl:output method="xml" version="1.0" encoding="iso-8859-1" indent="yes" doctype-public="-//W3C//DTD SVG 1.0//EN" doctype-system="http://www.w3.org/TR/2001/REC-SVG-20010904/DTD/svg10.dtd"/>

  <xsl:param name="plotTopLeftX">68.5</xsl:param>
  <xsl:param name="plotTopLeftY">11.7</xsl:param>
  <xsl:param name="plotWidth">384</xsl:param>
  <xsl:param name="plotHeight">224</xsl:param>

  <xsl:template match="/loan">

    <xsl:processing-instruction name="xml-stylesheet">href="Loan.css" type="text/css"</xsl:processing-instruction>

    <svg width="485" height="290">
      <g id="LoanPlot" transform="scale(1.0) translate(0,0)">
        <rect id="Border" x="0" y="0" width="485" height="290" class="border"/>
        <rect id="PlotCanvas" x="68.5" y="11.7" width="384" height="224" class="plotbox"/>

        <line x1="67" y1="58.8" x2="451" y2="58.8" class="axisvalue"/>
        <line x1="67" y1="103.6" x2="451" y2="103.6" class="axisvalue"/>
        <line x1="67" y1="148.4" x2="451" y2="148.4" class="axisvalue"/>
        <line x1="67" y1="193.2" x2="451" y2="193.2" class="axisvalue"/>
        <line x1="143.8" y1="14" x2="143.8" y2="238" class="axisvalue"/>
        <line x1="220.6" y1="14" x2="220.6" y2="238" class="axisvalue"/>
        <line x1="297.4" y1="14" x2="297.4" y2="238" class="axisvalue"/>
        <line x1="374.2" y1="14" x2="374.2" y2="238" class="axisvalue"/>

        <text x="10px" y="155px" transform="rotate(-90) translate(-220,-115)" class="axis">Principal Dollars</text>
        <text x="227.08px" y="283.289px" class="axis">Month</text>
        <text x="67px" y="258.072px" class="axisvalue">0</text>
        <text x="55px" y="238px" text-anchor="end" class="axisvalue">0.00</text>
        <text x="451px" y="258.072px" class="axisvalue"><xsl:value-of select="@termInMonths"/></text>
        <text x="55px" y="14px" text-anchor="end" class="axisvalue"><xsl:value-of select="@principal"/></text>

        <polyline class="data">
          <xsl:attribute name="points">
            <xsl:for-each select="payment">
              <xsl:variable name="paymentX"><xsl:value-of select="( @monthIndex * $plotWidth div ../@termInMonths ) + $plotTopLeftX"/></xsl:variable>
              <xsl:variable name="paymentY"><xsl:value-of select="$plotHeight * (1 - ( @principalOutstanding div ../@principal )) + $plotTopLeftY"/></xsl:variable>
              <xsl:value-of select="$paymentX"/>,<xsl:value-of select="$paymentY"/><xsl:text> </xsl:text>
            </xsl:for-each>
          </xsl:attribute>
        </polyline>

        <xsl:for-each select="payment">
          <xsl:variable name="paymentX"><xsl:value-of select="( @monthIndex * $plotWidth div ../@termInMonths ) + $plotTopLeftX"/></xsl:variable>
          <xsl:variable name="paymentY"><xsl:value-of select="$plotHeight * (1 - ( @principalOutstanding div ../@principal )) + $plotTopLeftY"/></xsl:variable>
          <g onmousedown="showPayment(0, 0.00, 0.00, 0.00, 10000.00)">
            <xsl:attribute name="onmousedown">showPayment(<xsl:value-of select="@monthIndex"/>, <xsl:value-of select="@principalPayment"/>, <xsl:value-of select="@interestPayment"/>, <xsl:value-of select="../@monthlyPayment"/>, <xsl:value-of select="@principalOutstanding"/> )</xsl:attribute>
            <circle r="4" visibility="visible" class="datapoint">
              <xsl:attribute name="id">Month<xsl:value-of select="@monthIndex"/></xsl:attribute>
              <xsl:attribute name="cx"><xsl:value-of select="$paymentX"/></xsl:attribute>
              <xsl:attribute name="cy"><xsl:value-of select="$paymentY"/></xsl:attribute>
            </circle>
          </g>
        </xsl:for-each>
      </g>
    </svg>
  </xsl:template>
</xsl:stylesheet>
